Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453792 - sosreport fails to generate fdisk -l
Summary: sosreport fails to generate fdisk -l
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sos
Version: 4.7
Hardware: All
OS: Linux
urgent
low
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 453797 467444 469010 469011
TreeView+ depends on / blocked
 
Reported: 2008-07-02 15:11 UTC by Robert Jackson
Modified: 2015-02-24 22:56 UTC (History)
6 users (show)

Fixed In Version: 1.7-6.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:23:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0994 normal SHIPPED_LIVE sos bug fix and enhancement update 2009-05-18 13:56:42 UTC

Description Robert Jackson 2008-07-02 15:11:06 UTC
Description of problem:
sosreport fails to generate fdisk -l unless a raid is present

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.run sosreport without a RAID present 
2.verify that fdisk -l is not being generated.
3.
  
Actual results:
fdisk -l is not being generated

Expected results:
fdisk -l is generated

Additional info: The cluster plugin also caused this to generated.

Comment 1 Robert Jackson 2008-07-02 15:42:58 UTC
--- /usr/lib/python2.3/site-packages/sos/plugins/filesys.py     2008-07-02
11:13:33.000000000 -0400
+++ /usr/lib/python2.3/site-packages/sos/plugins/filesys.py2    2008-07-02
11:13:41.000000000 -0400
@@ -28,6 +28,7 @@
         self.addCopySpec("/etc/mdadm.conf")

         self.collectExtOutput("/bin/df -al", root_symlink = "df")
+        self.collectExtOutput("/sbin/fdisk -l", root_symlink = "fdisk_l")
         self.collectExtOutput("/usr/sbin/lsof -b +M -n -l", root_symlink = "lsof")
         self.collectExtOutput("/bin/mount -l", root_symlink = "mount")
         self.collectExtOutput("/sbin/blkid")


Comment 13 Ales Zelinka 2009-03-19 12:19:48 UTC
"fdisk -l" was replaced by parted (and fdasd on s390s) as requested in bz453150. So what is really being fixed here is
"sosreport fails to generate _"partition table listing"_ unless a raid is present.

Hope this is ok with you, Robert, Jose.

Comment 15 errata-xmlrpc 2009-05-18 20:23:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0994.html


Note You need to log in before you can comment on or make changes to this bug.